## org.omg.IOP
Class TaggedProfileHelper

    java.lang.Object
      |
      +--org.omg.IOP.TaggedProfileHelper

public class TaggedProfileHelper
extends java.lang.Object

Helper class for : TaggedProfile

Author:
  OpenORB Compiler

Constructor Summary
`TaggedProfileHelper()`

Method Summary
`static TaggedProfile` `extract(Any a)` Extract TaggedProfile from an any
`static java.lang.String` `id()` Return the TaggedProfile IDL ID
`static void` `insert(Any a, TaggedProfile t)` Insert TaggedProfile into an any
`static TaggedProfile` `read(InputStream istream)` Read TaggedProfile from a marshalled stream
`static TypeCode` `type()` Return the TaggedProfile TypeCode
`static void` `write(OutputStream ostream, TaggedProfile value)` Write TaggedProfile into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedProfileHelper

    public TaggedProfileHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TaggedProfile t)

  Insert TaggedProfile into an any
  Parameters:
    `a` - an any
    `t` - TaggedProfile value

### extract

    public static TaggedProfile extract(Any a)

  Extract TaggedProfile from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TaggedProfile value

### type

    public static TypeCode type()

  Return the TaggedProfile TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TaggedProfile IDL ID
  Returns:
    an ID

### read

    public static TaggedProfile read(InputStream istream)

  Read TaggedProfile from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TaggedProfile value

### write

    public static void write(OutputStream ostream,
                             TaggedProfile value)

  Write TaggedProfile into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TaggedProfile value